RoboGuice
=========

<img src="http://f.cl.ly/items/1G3K1n2L3g452n3i1M2q/roboguice-200px.png" align="left" />

### Google Guice on Android, version 2.0

RoboGuice 2 smoothes out some of the wrinkles in your Android development experience and makes things simple and fun. Do you always forget to check for null when you getIntent().getExtras()? RoboGuice 2 will help you. Think casting findViewById() to a TextView shouldn’t be necessary? RoboGuice 2 is on it.

RoboGuice 2 takes the guesswork out of development. Inject your View, Resource, System Service, or any other object, and let RoboGuice 2 take care of the details.

RoboGuice 2 slims down your application code. Less code means fewer opportunities for bugs. It also makes your code easier to follow -- no longer is your code littered with the mechanics of the Android platform, but now it can focus on the actual logic unique to your application.

There’s no “magic”. Everything you need is configured explicitly for you by RoboGuice 2 or can be overridden by you.

RoboGuice 2 applications have been Featured on the Android Market for years. It leverages the award-winning and production-ready Google Guice library to bring you simple dependency injection lightweight enough to use in a mobile application.

It works, and people are using it. Why not give it a spin?

[Get Started with RoboGuice 2](https://github.com/roboguice/roboguice/wiki)!

<br/>
<br/>
<br/>


<table>
    <tr>
        <td width="72" align="center">
            <a title="Facebook Messenger" href="http://market.android.com/details?id=com.facebook.orca" rel="nofollow"><img src="http://donnfelker.github.com/roboguice/images/app-icons/fb-messenger.png" width="72" height="72"></a><br>
            <br>
            Facebook Messenger
        </td>
        <td width="72" align="center">
            <a title="Pulse" href="https://market.android.com/details?id=com.alphonso.pulse" rel="nofollow"><img src="http://donnfelker.github.com/roboguice/images/app-icons/pulse.png" width="72" height="72"><br>
            <br></a>Pulse
        </td>
        <td width="72" align="center">
            <a title="Groupon" href="http://market.android.com/details?id=com.groupon" rel="nofollow"><img src="http://donnfelker.github.com/roboguice/images/app-icons/groupon.png" width="72" height="72"></a><br>
            <br>
            Groupon
        </td>
        <td width="72" align="center">
            <a title="Google Docs" href="https://market.android.com/details?id=com.google.android.apps.docs" rel="nofollow"><img src="http://donnfelker.github.com/roboguice/images/app-icons/google-docs.png" width="72" height="72"></a><br>
            <br>
            Google Docs
        </td>
    </tr>
    <tr>
        <td width="72" align="center">
            <a title="OpenTable" href="http://market.android.com/details?id=com.opentable" rel="nofollow"><img src="http://donnfelker.github.com/roboguice/images/app-icons/opentable.png" width="72" height="72"></a><br>
            <br>
            OpenTable
        </td>
        <td width="72" align="center">
            <a title="TripIt!" href="http://market.android.com/details?id=com.tripit" rel="nofollow"><img src="http://donnfelker.github.com/roboguice/images/app-icons/tripit.png" width="72" height="72"></a>TripIt!
        </td>
        <td width="72" align="center">
            <a title="SwiftKey" href="http://market.android.com/details?id=com.touchtype.swiftkey" rel="nofollow"><img src="http://donnfelker.github.com/roboguice/images/app-icons/swiftkey.png" width="72" height="72"></a>SwiftKey
        </td>
        <td width="72" align="center">
            <a title="Video to Facebook" href="https://market.android.com/details?id=net.eworldui.videouploader" rel="nofollow"><img src="http://donnfelker.github.com/roboguice/images/app-icons/video-to-fb.png" width="72" height="72"></a>Video to Facebook
        </td>
    </tr>
    <tr>
        <td width="72" align="center">
            <a title="Cars.com" href="http://market.android.com/details?id=com.cars.android" rel="nofollow"><img src="http://donnfelker.github.com/roboguice/images/app-icons/carsdotcom.png" width="72" height="72"></a>Cars.com
        </td>
        <td width="72" align="center">
            <a title="Android Shuffle" href="https://market.android.com/details?id=org.dodgybits.android.shuffle" rel="nofollow"><img src="http://donnfelker.github.com/roboguice/images/app-icons/android-shuffle.png" width="72" height="72"></a>Android Shuffle
        </td>
        <td width="72" align="center">
            <a title="GeoBeagle" href="https://market.android.com/details?id=com.google.code.geobeagle" rel="nofollow"><img src="http://donnfelker.github.com/roboguice/images/app-icons/geobeagle.png" width="72" height="72"></a>GeoBeagle
        </td>
        <td width="72" align="center">
            <a title="Crossfit Travel" href="http://market.android.com/details?id=com.agilevent.crossfittravel" rel="nofollow"><img src="http://donnfelker.github.com/roboguice/images/app-icons/crossfit-travel.png" width="72" height="72"></a>Crossfit Travel
        </td>
    </tr>
    <tr>
        <td width="72" align="center">
            <a title="Agit (Android Git)" href="https://market.android.com/details?id=com.madgag.agit" rel="nofollow"><img src="http://donnfelker.github.com/roboguice/images/app-icons/agit.png" width="72" height="72"></a>Agit (Android Git)
        </td>
        <td width="72" align="center">
            <a title="Digg" href="http://www.digg.com" rel="nofollow"><img src="http://donnfelker.github.com/roboguice/images/app-icons/digg.png" width="72" height="72"></a>Digg
        </td>
        <td width="72" align="center">
            <a title="TaskBomb" href="https://market.android.com/details?id=org.androidideas.taskbomb" rel="nofollow"><img src="http://donnfelker.github.com/roboguice/images/app-icons/taskbomb.png" width="72" height="72"></a>TaskBomb
        </td>
        <td width="72" align="center">
            <a title="Wifi Syncr" href="https://market.android.com/details?id=com.appricoo.android.tools.wifisyncr" rel="nofollow"><img src="http://donnfelker.github.com/roboguice/images/app-icons/wifi-syncer.png" width="72" height="72"></a>Wifi Syncr
        </td>
    </tr>
    <tr>
        <td width="72" align="center">
            <a title="CardStar" href="https://market.android.com/details?id=com.cardstar.android" rel="nofollow"><img src="http://donnfelker.github.com/roboguice/images/app-icons/cardstar.png" width="72" height="72"></a>CardStar
        </td>
        <td width="72" align="center">
            <a title="MyEpisodes Manager" href="https://market.android.com/details?id=eu.vranckaert.episodeWatcher" rel="nofollow"><img src="http://donnfelker.github.com/roboguice/images/app-icons/my-episodes-manager.png" width="72" height="72"></a>MyEpisodes Manager
        </td>
        <td width="72" align="center">
            <a title="WorkTime" href="https://market.android.com/details?id=eu.vranckaert.worktime" rel="nofollow"><img src="http://donnfelker.github.com/roboguice/images/app-icons/worktime.png" width="72" height="72"></a>WorkTime
        </td>
        <td width="72" align="center">
            <a title="Bartab" href="https://market.android.com/details?id=com.webtab.bartab.droid" rel="nofollow"><img src="http://donnfelker.github.com/roboguice/images/app-icons/bartab.png" width="72" height="72"></a>Bartab
        </td>
    </tr>
    <tr>
        <td width="72" align="center">
            <a title="CallerID" href="https://market.android.com/details?id=com.integralblue.callerid" rel="nofollow"><img src="http://donnfelker.github.com/roboguice/images/app-icons/callerid.png" width="72" height="72"></a>CallerID
        </td>
        <td width="72" align="center">
            <a title="ChessMates" href="https://play.google.com/store/apps/details?id=com.aptitudelabs.chess" rel="nofollow"><img src="http://donnfelker.github.com/roboguice/images/app-icons/chessmates.png" width="72" height="72"></a>ChessMates
        </td>
        <td width="72" align="center">
            <a title="Moola" href="https://play.google.com/store/apps/details?id=nefarious.apps.moolapro" rel="nofollow"><img src="http://donnfelker.github.com/roboguice/images/app-icons/moola.png" width="72" height="72"></a>Moola
        </td>
        <td width="72" align="center">
            <a title="Crunchyroll" href="https://play.google.com/store/apps/details?id=com.crunchyroll.crunchyroid" rel="nofollow"><img src="http://donnfelker.github.com/roboguice/images/app-icons/crunchyroll.png" width="72" height="72"></a>Crunchyroll
        </td>
    </tr>
    <tr>
        <td width="72" align="center">
            <a title="MOTOACTV" href="https://play.google.com/store/apps/details?id=com.motorola.notification" rel="nofollow"><img src="http://donnfelker.github.com/roboguice/images/app-icons/motoactv.png" width="72" height="72"></a>MOTOACTV
        </td>
        <td width="72" align="center">
            <a title="Zynk" href="https://play.google.com/store/apps/details?id=me.zynk.zynkcorp" rel="nofollow"><img src="http://donnfelker.github.com/roboguice/images/app-icons/zynk.png" width="72" height="72"></a>Zynk
        </td>
        <td width="72" align="center">
            <a title="Bento" href="https://play.google.com/store/apps/details?id=br.gov.rs.bentogoncalves.guia" rel="nofollow"><img src="http://donnfelker.github.com/roboguice/images/app-icons/bento.png" width="72" height="72"></a>Bento
        </td>
    </tr>
</table>
